#!/bin/bash
#
# Author: Lenz Grimmer <lenz@grimmer.com>
#
# This file is released under the GPLv2.
#
#%stage: setup
#

# never even 'return' from a mkinitrd script, which would result in an
# aborted initrd build process
V86BIN="/sbin/v86d"

if [ -x $V86BIN ] ; then
  # Check if uvesafb is enabled (very crude)
  for file in $root_dir/{etc/lilo.conf,boot/grub/menu.lst,proc/cmdline}; do
    [ -e $file ] || continue
    grep -q "video=uvesafb:" $file && UVESAFB="1"
  done
  if [ $UVESAFB = "1" ] ; then
    $cp_bin $V86BIN $tmp_mnt/sbin
  fi
fi
# never exit with nonzero, so we never cause mkinitrd to abort
# - not having uvesafb during boot is ugly, not booting is evil.
# do not exit here - this script is sourced!
true
