#
# spec file for package v86d
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           v86d
Version:        0.1.10
Release:        1.2
Summary:        The userspace helper for uvesafb that runs x86 code in an emulated environment
License:        GPL-2.0
Group:          System/Kernel
Url:            http://dev.gentoo.org/~spock/projects/uvesafb/
Source:         http://dev.gentoo.org/~spock/projects/uvesafb/archive/v86d-%{version}.tar.bz2
Source1:        setup-uvesafb.sh
Source2:        %{name}.8
Patch0:         01_use-external-libx86.patch
Patch1:         02_dont-include-kernel.patch
BuildRequires:  libx86-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
v86d is the userspace helper that runs x86 code in an emulated environment.
uvesafb will not work without v86d.

v86d provides a backend for kernel drivers that need to execute x86 BIOS code.
The code is executed in a controlled environment and the results are passed
back to the kernel via the netlink interface.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./configure --with-debug
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
%make_install
# install binary to /usr/sbin instead of /sbin
# mkdir -p %%{buildroot}%%{_sbindir}
#mv %%{buildroot}/sbin/*  %%{buildroot}%%{_sbindir}/
install -D -m0644 misc/initramfs %{buildroot}%{_datadir}/%{name}/initramfs
mkdir -p %{buildroot}/lib/mkinitrd/scripts
install -m0755 %{SOURCE1} %{buildroot}/lib/mkinitrd/scripts
install -D -m0644 %{SOURCE2} %{buildroot}%{_mandir}/man8/%{name}.8

%files
%defattr(-,root,root)
%dir %{_datadir}/%{name}
%dir /lib/mkinitrd
%dir /lib/mkinitrd/scripts
%{_datadir}/%{name}/initramfs
/sbin/%{name}
/sbin/testvbe
/lib/mkinitrd/scripts/setup-uvesafb.sh
%{_mandir}/man8/%{name}.8%{ext_man}
%doc AUTHORS ChangeLog README TODO

%changelog
* Wed Mar 25 2015 Adam Mizerski <adam@mizerski.pl>
- updated to 0.1.10
- copied patches from debian:
  - 01_use-external-libx86.patch
  - 02_dont-include-kernel.patch
- dropped patch v86d_RPM_OPT_FLAGS.patch - optflags are passed to
  make as argument
- copied v86d.8 from debian
- some spec cleanup (also using spec-cleanup)
* Sat Sep  8 2012 devel.openSUSE.org@gmail.com
- Add v86d_RPM_OPT_FLAGS.patch
- some spec cleanup
* Sat Sep  8 2012 devel.openSUSE.org@gmail.com
- Initial package creation
